Skip to content

Mass action on companies

Request

Perform a bulk action on companies matching a filter.

Security
bearerAuth
Bodyapplication/jsonrequired
typestringrequired

Action type.

Enum:"company_add_tags""company_remove_tags""company_replace_tags""company_change_pipeline_stage""company_delete"
Example:"company_add_tags"
filterobjectrequired

Filter to select companies.

payloadobject

Action-specific payload.

PUT
/leads/api/companies/mass-action
curl -i -X PUT \
  https://leadgen.grinfi.io/leads/api/companies/mass-action \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "type": "company_add_tags",
    "filter": {
      "ids": [
        "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      ]
    },
    "payload": {
      "tag_uuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    }
  }'

Responses

Action executed.

Response
No content